; Definition file for Vega
;--------------------
;[Player Information]
;--------------------
[Info]
name = "vega"	   ;Name of character
displayname = "Vega"	   ;Name of character to display
versiondate = 2002.10.20   ;Version date of character
mugenversion = 2001.04.14  ;Version of M.U.G.E.N character works on
author = "N64Mario"	   ;Character author name
pal.defaults = 1           ;Default palettes in order of preference
;[SFA3 Set]; pal.defaults = 1

;--------------------
;[Common Files] 
;--------------------
[Files]
cmd	 = common/command.cmd	 ;Commands
cns	 = common/constant.cns	 ;Constants
stcommon = common/common.cns	 ;Common States
sprite	 = common/sprite.sff	 ;Sprites
anim	 = common/animation.air  ;Animation
sound	 = common/sound.snd	 ;Sound
;--------------------
;[States] 
;--------------------
st	 = state/vega.cns	;Vega's States
st1	 = state/vega-s.cns	;Special States
st2	 = state/vega-h.cns	;Hyper States
st3      = state/override.cns	;Override States
st4	 = state/custom.cns	;Custom States
st5	 = state/mask.cns	;Mask States
st6	 = state/claw.cns	;Claw States
st7	 = state/helper.cns	;Helper States
st8	 = state/cage.cns	;Cage States
st9	 = vega.def		;Misc. States
;--------------------
;[Palettes] (can have up to 12)
;--------------------
pal1  = palette/vega.act
pal2  = palette/vega2.act
pal3  = palette/vega3.act
pal4  = palette/vega4.act
pal5  = palette/vega5.act
pal6  = palette/vega6.act
pal7  = palette/old/vega.act
pal8  = palette/old/vega2.act
pal9  = palette/old/vega3.act
pal10 = palette/old/vega4.act
pal11 = palette/old/vega5.act
pal12 = palette/old/vega6.act
;--------------------
;[SFA3 Set]
;pal1  = palette/vega4.act
;pal2  = palette/vega2.act
;pal3  = palette/vega6.act
;pal4  = palette/vega3.act
;pal5  = palette/vega.act
;pal6  = palette/vega5.act
;pal7  = palette/old/vega4.act
;pal8  = palette/old/vega2.act
;pal9  = palette/old/vega6.act
;pal10 = palette/old/vega3.act
;pal11 = palette/old/vega.act
;pal12 = palette/old/vega5.act

[Arcade]
intro.storyboard  = intro.def
ending.storyboard = ending.def

;------------------------------------------------------------
; States that are executed when in self's state file (use statedef -3)
;------------------------------------------------------------
[Statedef -3]

;--------Claw/Mask--------
[State -3, Mask]
type = Helper
trigger1 = NumHelper(1) = 0
helpertype = normal
name = "Mask"
id = 1
facing = 1
pos = 0,0
postype = P1
stateno = 10000
keyctrl = 0

[State -3, Claw]
type = Helper
trigger1 = NumHelper(2) = 0
helpertype = normal
name = "Claw"
id = 2
facing = 1
pos = 0,0
postype = P1
stateno = 20000
keyctrl = 0

[State -3, Vega]
type = Helper
triggerall = NumHelper(3) = 0
trigger1 = Var(1) = 0
trigger2 = Var(2) = 0
helpertype = normal
name = "Vega"
id = 3
facing = 1
pos = 0,0
postype = P1
stateno = 100000
keyctrl = 0

[State -3, Mask Hits]
type = VarAdd
triggerall = PalNo < 7
trigger1 = Var(1) = 0
trigger1 = MoveType = H
trigger1 = !HitShakeOver
trigger1 = Time = 0
ignorhitpause = 1
v = 10
value = 1

[State -3, Mask Hit Max]
type = VarSet
trigger1 = Var(10) >= 30
v = 10
value = 30

[State -3, Claw Hits]
type = VarAdd
trigger1 = Var(2) = 0
trigger1 = MoveType = H
trigger1 = !HitShakeOver
trigger1 = Time = 0
ignorhitpause = 1
v = 11
value = 1

[State -3, Claw Hit Max]
type = VarSet
trigger1 = Var(11) >= 20
v = 11
value = 20

[State -3, No Mask]
type = VarSet
trigger1 = NumHelper(1) = 0
v = 1
value = 2

[State -3, No Mask Hit Set]
type = VarSet
trigger1 = NumHelper(1) = 0
v = 10
value = 0

[State -3, No Claw]
type = VarSet
trigger1 = NumHelper(2) = 0
v = 2
value = 2

[State -3, No Claw Hit Set]
type = VarSet
trigger1 = NumHelper(2) = 0
v = 11
value = 0
;-----------------------

;------Mask Damage-------
[State -3, LifeAdd]
type = LifeAdd
triggerall = PalNo < 7
triggerall = Var(1) = 0
triggerall = Life > 100
trigger1 = (GetHitVar(GroundType) = 1) || (GetHitVar(AirType) = 1)
value = Ceil(GetHitVar(Damage) * .5)
ignorehitpause = 1
kill = 0

[State -3, LifeAdd]
type = LifeAdd
triggerall = PalNo < 7
triggerall = Var(1) > 0
triggerall = Life > 100
trigger1 = (GetHitVar(GroundType) = 1) || (GetHitVar(AirType) = 1)
value = -Ceil(GetHitVar(Damage) * .5)
ignorehitpause = 1
kill = 0
;------------------------

;-----Display-----
[State -3, Variables]
type = DisplayToClipboard
trigger1 = Var(1) = 0
trigger1 = Var(2) = 0
trigger1 = Var(5) = 0
text = "Hits: %d/10  Claw Hits: %d/20  Mask Hits: %d/30"
params = var(15), var(11), var(10) 
;-----------------

;-----Display-----
[State -3, Variables]
type = DisplayToClipboard
trigger1 = Var(1) = 0
trigger1 = Var(2) > 0
trigger1 = Var(5) = 0
text = "Hits: %d/10  Claw off          Mask Hits: %d/30"
params = var(15), var(10)
;-----------------

;-----Display-----
[State -3, Variables]
type = DisplayToClipboard
trigger1 = Var(1) > 0
trigger1 = Var(2) = 0
trigger1 = Var(5) = 0
text = "Hits: %d/10  Claw Hits: %d/20  Mask off"
params = var(15), var(11)
;-----------------

;-----Display-----
[State -3, Variables]
type = DisplayToClipboard
trigger1 = Var(1) > 0
trigger1 = Var(2) > 0
trigger1 = Var(5) = 0
text = "Hits: %d/10  Claw off          Mask off"
params = var(15)
;-----------------

;-----Display-----
[State -3, Variables]
type = DisplayToClipboard
trigger1 = Var(5) > 0
text = "Dizzy"
;-----------------
[Arcade]
ending.storyboard= vegaend.def
intro.storyboard = intro.def